<!DOCTYPE html>
<html>
    <head>
        <meta charset="utf-8">
        <title>First Site</title>
        <link href="styles/style.css" rel="stylesheet" type="text/css">
    </head>

    
    <body>
        <header>
            <a href="#" class="logo">
                LOGO
            </a>
            <ul>
                <li><a href="#" class="active">Home</a></li>
                <li><a href="#">About</a></li>
                <li><a href="#">Works</a></li>
                <li><a href="#">Contact</a></li>
            </ul>
        </header>
        <section>
            <img src="images/stars.png" id="stars" alt="">
            <img src="images/moon.png" id="moon" alt="">
            <img src="images/back.jpg" id="mountain_behind" alt="">
            <h2 id="text">Moon Light</h2>
            <a href="#sec" id="btn">Explore</a>
            <img src="images/mountain_front.png" id="mountain_front" alt="">
        </section>
        <div class="sec" id="sec">
            <h2>Parallax Scrolling Effects</h2>
            <p>This is my first work with parallax scrolling effect. It was medium-hard, i like this effect
                This is my first work with parallax scrolling effect. It was medium-hard, i like this effect
                This is my first work with parallax scrolling effect. It was medium-hard, i like this effect
                This is my first work with parallax scrolling effect. It was medium-hard, i like this effect
                This is my first work with parallax scrolling effect. It was medium-hard, i like this effect
                This is my first work with parallax scrolling effect. It was medium-hard, i like this effect
                This is my first work with parallax scrolling effect. It was medium-hard, i like this effect
                This is my first work with parallax scrolling effect. It was medium-hard, i like this effect
            <br><br>This is my first work with parallax scrolling effect. It was medium-hard, i like this effect
            This is my first work with parallax scrolling effect. It was medium-hard, i like this effect
            This is my first work with parallax scrolling effect. It was medium-hard, i like this effect
            This is my first work with parallax scrolling effect. It was medium-hard, i like this effect
            This is my first work with parallax scrolling effect. It was medium-hard, i like this effect
            This is my first work with parallax scrolling effect. It was medium-hard, i like this effect
            This is my first work with parallax scrolling effect. It was medium-hard, i like this effect
            This is my first work with parallax scrolling effect. It was medium-hard, i like this effect
            <br><br>This is my first work with parallax scrolling effect. It was medium-hard, i like this effect
                This is my first work with parallax scrolling effect. It was medium-hard, i like this effect
                This is my first work with parallax scrolling effect. It was medium-hard, i like this effect
                This is my first work with parallax scrolling effect. It was medium-hard, i like this effect
                This is my first work with parallax scrolling effect. It was medium-hard, i like this effect
                This is my first work with parallax scrolling effect. It was medium-hard, i like this effect
                </p>
        </div>

        <script>
            let stars = document.getElementById('stars');
            let moon = document.getElementById('moon');
            let mountain_behind = document.getElementById('mountain_behind');
            let mountain_front = document.getElementById('mountain_front');
            let text = document.getElementById('text');
            let btn = document.getElementById('btn');
            let header = document.querySelector('header');

            window.addEventListener('scroll', function(){
                let value = window.scrollY;
                stars.style.left = value*0.25 +'px';
                moon.style.top = value*1.5 +'px';
                mountain_behind.style.top = value*0.5 +'px';
                text.style.top = value*-2 +'px';
                header.style.top = value*1.9+'px;'
            })
        </script>
    </body>
</html>